5.209. nfs4-acl-tools

An updated nfs4-acl-tools package that fixes one bug is now available for Red Hat Enterprise Linux 6.
The nfs4-acl-tools package provides utilities for managing NFSv4 Access Control Lists (ACLs) on files and directories mounted on ACL-enabled NFSv4 file systems.

Bug Fix

BZ#769862
Prior to this update, several uninitialized stack pointers were incorrectly freed. As a consequence, the "nfs4_setfacl" command failed with the error message "*** glibc detected *** nfs4_setfacl: double free or corruption (out)" if the format of the input ACL file was incorrect. This update corrects the memory handling process. Now, the nfs4_setfacl command displays a useful error message if the input file syntax is invalid.
All users of nfs4-acl-tools are advised to upgrade to this updated package, which fixes this bug.